<?php

/**
**
**@hook on activation
**
**/
function ocart_realex_install() {

	/**
	@ hook into active payment gateways
	@ add this gateway to the list
	@ provide options, settings
	@ this should be provided upon activation only
	**/
	$installed = get_option('occommerce_OC_gateways');
	$installed['realex'] = array(  'name' => __('Realex','ocart'), 
									'paymentname' => __('Pay via Realex','ocart'),
									'options' => array( 'enabled', 'merchantid', 'secret_key', 'testmode', 'charge' ), 
									'checkout' => array('title' => __('Payment','ocart'), 'redirect_form' => 1 ) );
		update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on deactivation
**
**/
function ocart_realex_deactivate() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['realex'])) {
		unset($installed['realex']);
	}
	update_option('occommerce_OC_gateways', $installed);

}

/**
**
**@hook on uninstall
**
**/
function ocart_realex_uninstall() {

	/**
	@should delete it from settings/fields
	**/
	$installed = get_option('occommerce_OC_gateways');
	if (isset($installed['realex'])) {
		unset($installed['realex']);
	}
	update_option('occommerce_OC_gateways', $installed);

}